## org.omg.CORBA
Class ServiceDetailSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceDetailSeqHelper

public class ServiceDetailSeqHelper
extends java.lang.Object

Helper class for : ServiceDetailSeq

Author:
  OpenORB Compiler

Constructor Summary
`ServiceDetailSeqHelper()`

Method Summary
`static ServiceDetail[]` `extract(Any a)` Extract ServiceDetailSeq from an any
`static java.lang.String` `id()` Return the ServiceDetailSeq IDL ID
`static void` `insert(Any a, ServiceDetail[] t)` Insert ServiceDetailSeq into an any
`static ServiceDetail[]` `read(InputStream istream)` Read ServiceDetailSeq from a marshalled stream
`static TypeCode` `type()` Return the ServiceDetailSeq TypeCode
`static void` `write(OutputStream ostream, ServiceDetail[] value)` Write ServiceDetailSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDetailSeqHelper

    public ServiceDetailSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServiceDetail[] t)

  Insert ServiceDetailSeq into an any
  Parameters:
    `a` - an any
    `t` - ServiceDetailSeq value

### extract

    public static ServiceDetail[] extract(Any a)

  Extract ServiceDetailSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceDetailSeq value

### type

    public static TypeCode type()

  Return the ServiceDetailSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceDetailSeq IDL ID
  Returns:
    an ID

### read

    public static ServiceDetail[] read(InputStream istream)

  Read ServiceDetailSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceDetailSeq value

### write

    public static void write(OutputStream ostream,
                             ServiceDetail[] value)

  Write ServiceDetailSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceDetailSeq value